<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmRevComponentFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmRevComponentFlags Enumeration

Visual Basic
C#
C++/CLI
Flags used to control the members of the struct EdmRevComponent2. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmRevComponentFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmRevComponentFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmRevComponentFlags : public System.Enum

# Members

Member | Description
--- | ---
Edmrcf_EndOfListContinue | 4 = Continue to use the last list item when the end of the list is reached
Edmrcf_EndOfListRestart | 2 = Restart from the first list item when the end of the list is reached
Edmrcf_EndOfListSendMail | 16 = Send mail to a user or group when the end of the list is reached; the recipient ID is stored in the EdmRevcomponent2 mlRecipientID struct field
Edmrcf_EndOfListStop | 8 = Halt the operation when the end of the list is reached
Edmrcf_RecipientIsGroup | 1 = EdmRevcomponent2 mlRecipientID struct field is a group ID; this flag is only used in combination with Edmrcf_EndOflistSendMail
Edmrcf_TypeFormatString | 32 = Revision number is of type format string
Edmrcf_TypeList | 64 = Revision number is of type list

# See Also

####

EPDM.Interop.epdm Namespace